package kr.co.vividnext.sodalive.audio_content.series

import com.google.gson.annotations.SerializedName

data class GetSeriesListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<SeriesListItem>
) {
    data class SeriesListItem(
        @SerializedName("seriesId") val seriesId: Long,
        @SerializedName("title") val title: String,
        @SerializedName("coverImage") val coverImage: String,
        @SerializedName("publishedDaysOfWeek") val publishedDaysOfWeek: String,
        @SerializedName("isComplete") val isComplete: Boolean,
        @SerializedName("creator") val creator: SeriesListItemCreator,
        @SerializedName("numberOfContent") val numberOfContent: Int,
        @SerializedName("isNew") val isNew: Boolean,
        @SerializedName("isPopular") val isPopular: Boolean
    )

    data class SeriesListItemCreator(
        @SerializedName("creatorId") val creatorId: Long,
        @SerializedName("nickname") val nickname: String,
        @SerializedName("profileImage") val profileImage: String
    )
}
