package kr.co.vividnext.sodalive.audio_content.upload

import com.google.gson.annotations.SerializedName

data class CreateAudioContentRequest(
    @SerializedName("title") val title: String,
    @SerializedName("detail") val detail: String,
    @SerializedName("tags") val tags: String,
    @SerializedName("price") val price: Int,
    @SerializedName("limited") val limited: Int? = null,
    @SerializedName("releaseDate") val releaseDate: String?,
    @SerializedName("timezone") val timezone: String,
    @SerializedName("themeId") val themeId: Long,
    @SerializedName("isAdult") val isAdult: Boolean,
    @SerializedName("isOnlyRental") val isOnlyRental: Boolean,
    @SerializedName("isGeneratePreview") val isGeneratePreview: Boolean,
    @SerializedName("isCommentAvailable") val isCommentAvailable: Boolean,
    @SerializedName("previewStartTime") val previewStartTime: String? = null,
    @SerializedName("previewEndTime") val previewEndTime: String? = null,
)
